package ru.yandex.wmtools.common.data;

/**
 * Enumeration of possible sitemap types.
 *
 * @author ailyin
 */
public enum TopQueryHistoryTypeEnum {
    SHOWS,
    CLICKS,
    CTR,
    PART,
    POSITION;


    public static TopQueryHistoryTypeEnum getByName(String value) {
        for (TopQueryHistoryTypeEnum topQueryHistoryTypeEnum : values()) {
            if (topQueryHistoryTypeEnum.toString().equalsIgnoreCase(value)) {
                return topQueryHistoryTypeEnum;
            }
        }

        return null;
    }
}
